basic auth is working now
[shapado:piglops-shapado.git] / Gemfile
1 # Edit this Gemfile to bundle your application's dependencies.
2 # This preamble is the current preamble for Rails 3 apps; edit as needed.
3 source 'http://rubygems.org'
4
5 gem 'rails', '3.0.1'
6
7 if RUBY_PLATFORM !~ /mswin|mingw/
8   gem 'rdiscount', '1.6.5'
9
10   gem "ruby-stemmer", "~> 0.8.2", :require => "lingua/stemmer"
11   gem "sanitize", "1.2.1"
12
13   gem 'magic'
14   gem 'nokogiri'
15   gem 'mechanize'
16 else
17   gem "maruku", "0.6.0"
18 end
19
20 # ui
21 gem "haml"
22 gem 'compass', '0.10.6.pre.1'
23 gem "compass-colors", "0.3.1"
24 gem "fancy-buttons", "0.5.5"
25
26 # mongodb
27 gem 'bson', '1.1.1'
28 gem 'plucky', '0.3.6'
29
30 gem 'mongo', '1.1.1'
31 gem 'jnunemaker-validatable', '1.8.4'
32 gem 'mongo_mapper', '0.8.6'
33 gem 'mongomapper_ext', '0.5.1'
34
35 # utils
36
37 gem "geoip"
38 gem "whatlanguage", "1.0.0"
39 gem "uuidtools", "2.1.1"
40 gem "magent", "0.4.2"
41
42 gem 'goalie'
43 gem 'dynamic_form'
44
45 gem "differ", "0.1.1"
46 gem "rack-recaptcha", "0.2.2", :require => "rack/recaptcha"
47
48 gem "twitter-text", "1.1.8"
49 gem 'sanitize', '1.2.1'
50
51
52 # authentication
53 gem 'omniauth', '~> 0.1.6'
54 gem 'multiauth', :path => "vendor/gems/multiauth/"
55
56 gem 'orm_adapter'
57 gem 'devise', :git => 'http://github.com/plataformatec/devise.git', :branch => 'omniauth'
58
59
60 group :development do
61   gem 'hpricot'
62   gem 'ruby_parser'
63   gem 'mongrel', '1.2.0.pre2'
64   gem 'niftier-generators', '0.1.2'
65 end
66